Skip to main content
POST
/
lists
Create a list
curl --request POST \
  --url https://api.pulsewave.dev/v1/lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Newsletter subscribers"
}
'
{
  "id": "lst_7q1m4z",
  "object": "contact_list",
  "name": "<string>",
  "contact_count": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Body

application/json
name
string
required
Example:

"Newsletter subscribers"

Response

The created list

id
string
Example:

"lst_7q1m4z"

object
enum<string>
Available options:
contact_list
name
string
contact_count
integer
created_at
string<date-time>